Skip to main content
POST
/
utils
/
memories
/
{memory_id}
/
archive
Archive a memory
curl --request POST \
  --url https://api.example.com/utils/memories/{memory_id}/archive \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "archived_at": "2023-11-07T05:31:56Z",
  "reactivated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string | null

Path Parameters

memory_id
string
required

Memory ID

Response

Successful Response

Response for archive/reactivate operations.

id
string
required

Memory ID

status
enum<string>
required

New status

Available options:
active,
superseded,
archived,
deleted
archived_at
string<date-time> | null

Archive timestamp

reactivated_at
string<date-time> | null

Reactivation timestamp